using System;

class Program 
{
  public static void Main (string[] args) 
  {
    Console.Write("Unesite broj glasova:");
    int n=Int32.Parse(Console.ReadLine());
    Console.WriteLine("Unesite glasove:");
    int [] niz=new int[n];
    int [] cuvar=new int[n];
    for(int i=0;i<n ;i++)
    {
      niz[i]=Int32.Parse(Console.ReadLine());
      cuvar[i]=niz[i];
    }
    Console.Write("Unesite broj scenarija:");
    int q=Int32.Parse(Console.ReadLine());
    Console.WriteLine("Unesite scenarije:");
    int [] niz2=new int[q];
    for(int i=0;i<q ;i++)
      niz2[i]=Int32.Parse(Console.ReadLine());
    Array.Sort(niz);
    int medijana=0;
    int brojac=0;
    int dodatak=0;
    if(n%2==1)
      medijana=(n-1)/2+1;
    else
      medijana=n/2+1;
    for(int i=0;i<=q-1;i++)
    {
      brojac=0;
      while(niz2[i]!=niz[medijana-1])
      {
        dodatak=niz2[i];
        Array.Resize(ref niz, 100);
        niz[n+1]=dodatak;
        n++;
        if(n%2==1)
          medijana=(n-1)/2+1;
        else
          medijana=n/2+1;
        brojac++;
      }
      Console.WriteLine(brojac);
    }
  }
}